//P2C Generated Platform.h file
#ifndef _PLATFORM_H_
#define _PLATFORM_H_

enum { _clkfreq = 300'000'000};

#include "propeller2.h"
#include "stdio.h"
#include "stdlib.h"
#include "stdint.h"
#include "stdbool.h"
#include "sys/vfs.h"

#define VGA_BASEPIN 8

#define USE_SDIO

//Simple P2 Sink Expander SD pins
#ifndef  USE_SDIO
#define PIN_PWR 39 //power pin
#define PIN_CLK  44 //55
#define PIN_SS   43 // 57
#define PIN_MOSI 45 //56
#define PIN_MISO 40 //54
#endif // ! USE_SDIO
#ifdef USE_SDIO
#define PIN_PWR 39 //power pin
enum {
	HEAPSIZE = 4400,

	SD_BASE_PIN = 40,//16,
	PIN_DAT = SD_BASE_PIN | 3 << 6,
	PIN_DAT0 = SD_BASE_PIN + 0,    // MISO
	PIN_DAT1 = SD_BASE_PIN + 1,
	PIN_DAT2 = SD_BASE_PIN + 2,
	PIN_DAT3 = SD_BASE_PIN + 3,    // CS
	PIN_CMD = SD_BASE_PIN + 5,//4,    // MOSI
	PIN_CLK = SD_BASE_PIN + 4,//5,    // SCLK
	PIN_RED = SD_BASE_PIN + 6,  // output to red LED, used as CMD response shifter
	PIN_CD = 39,//SD_BASE_PIN+7,  // Card-Detect input, and power switch, and green LED


	PIN_DO = SD_BASE_PIN + 0,
	PIN_DI = SD_BASE_PIN + 5,//4,
	PIN_CS = SD_BASE_PIN + 3,

	CLK_DIV = 4,
};
#endif // USE_SDIO



#endif /*_PLATFORM_H_*/
/* Nothing beyond this*/

